> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve unsubscribe info for a customer



## OpenAPI

````yaml /openapi.json get /customers/{id}/unsubscribe_info
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /customers/{id}/unsubscribe_info:
    get:
      tags:
        - Customers
      summary: Retrieve unsubscribe info for a customer
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the customer
          required: true
      responses:
        '200':
          description: The marketing resources the customer has opted out of
          content:
            application/json:
              schema:
                type: object
                properties:
                  unsubscribed_campaigns:
                    type: array
                    items:
                      type: string
                    description: The campaigns the customer has unsubscribed from
                  unsubscribed_triggers:
                    type: array
                    items:
                      type: string
                    description: The triggers the customer has unsubscribed from
                  unsubscribed_from_all:
                    type: boolean
                    description: Whether the customer has opted out of all marketing
                required:
                  - unsubscribed_campaigns
                  - unsubscribed_triggers
                  - unsubscribed_from_all
components:
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````